<?php

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$controlador=$_GET["controlador"];
$ip = $_GET['ip'];
$puerto=$_GET["puerto"];
$config = require ('config.php');
$conexion=$config['conexion'];

$conn = pg_connect($conexion);

$resultado = 'OK';

$sql="select 1 from led_control where ip = '$ip' limit 1";
$result = pg_query($conn,$sql);
if (pg_num_rows($result) > 0) {
	$resultado = 'La IP ya está asociada a otro controlador';
} else {
	$sql="insert into led_control values('$controlador','$ip','$puerto')";
	$stmt = pg_query($conn,$sql);
	$row = pg_affected_rows($stmt);
	if ($row < 1){
		$resultado = 'ERROR AL CREAR EL CONTROLADOR';
		pg_query($conn,'rollback');
	} else {
		pg_query($conn,'commit');
	}
}

pg_close($conn);

echo $resultado;

?>